<?php

require_once "../../../app/model/db.class.php";

function descrip($tabla,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

function descrip2($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

function jornada($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);
         
         
        $result2=$obj->consulta("select * from jornadas where codigo='".$rs['jornada']."' ;");
        $rs2=$obj->fetch_assoc($result2);
        $obj->disconnect();

        $info[]=$rs['jornada'];
        $info[]=$rs2['descripcion'];

        return $info;
    }

  function sede($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);


        $result2=$obj->consulta("select * from sedes where codigo='".$rs['sede']."' ;");
        $rs2=$obj->fetch_assoc($result2);
        $obj->disconnect();

        $info[]=$rs['sede'];
        $info[]=$rs2['descripcion'];

        return $info;
    }

if ($_POST['accion']=='info_comp_codigo'){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $codigo=$_POST['codigo'];

    $resultado=$obj->consulta("select * from matriculas where codigo='".$codigo."' and estado='A';");
    $row=$obj->fetch_assoc($resultado);

    $nombres=$obj->consulta("select cursos.grado, cursos.codigo, grados.descripcion as nom_grado, cursos.descripcion as nom_curso, cursos.jornada, jornadas.descripcion as
                               nom_jornada, cursos.sede, sedes.descripcion as nom_sede from sedes inner join (jornadas inner join (grados inner join cursos on
                               grados.codigo = cursos.grado) on jornadas.codigo = cursos.jornada) on sedes.codigo = cursos.sede where cursos.grado='".$row['grado']."' and cursos.codigo='".$row['curso']."'");
    $row1=$obj->fetch_assoc($nombres);

    
    $textoXML="";

    if($obj->numero_de_filas($resultado)<>0){


     $infoper=$obj->consulta("select * from alumnos where codigo='".$codigo."'");
     $datos=$obj->fetch_assoc($infoper);

     $textoXML.=($datos['p_apellido']." ".$datos['s_apellido']." ".$datos['p_nombre']." ".$datos['s_nombre']);
    
     $textoXML.="+".$row['grado'];
     $textoXML.="+".($row1['nom_grado']);

     $textoXML.="+".$row['curso'];
     $textoXML.="+".($row1['nom_curso']);

     $textoXML.="+".$row1['jornada'];
     $textoXML.="+".($row1['nom_jornada']);

     $textoXML.="+".$row1['sede'];
     $textoXML.="+".($row1['nom_sede']);

    }else{
     $textoXML="no";
    }

    echo $textoXML;

    $obj->disconnect();
}
?>